<div *ngIf="!isLoading">
  <mat-card *responsive="{
      device: ['desktop', 'smarttv']
    }">
    <div class="header" *ngIf="dataSource">
      <div class="song-detail">
        <div class="image">
          <img [src]="selectedSong.albumCoverUrl" alt="Album">
        </div>
        <div class="other">
          <div id="songTitle">{{selectedSong.title}}</div>
          <div>{{selectedSong.artist}}</div>
        </div>
      </div>
      <div class="actions-primary">
        <div class="actions">
          <div id="previous_btn" (click)="previous()" class="clickable">
            <mat-icon class="skip-previous">skip_previous</mat-icon>
          </div>
          <div id="play_btn" (click)="paused ? play() : pause()" class="clickable">
            <mat-icon *ngIf="paused" class="play-icon">play_circle_outline</mat-icon>
            <mat-icon *ngIf="!paused" class="pause-icon">pause_circle_outline</mat-icon>
          </div>
          <div id="next_btn" (click)="next()" class="clickable">
            <mat-icon class="skip-next">skip_next</mat-icon>
          </div>
        </div>
        <div class="duration">
          <span>{{getTime(currentTimeDate)}}</span>
          <mat-slider min="0" max="{{durationTimeDateInSeconds}}" tickInterval="0.1" [value]="currentTimeDateInSeconds"
                      (change)="setSongPosition($event)"></mat-slider>
          <span>{{getTime(durationTimeDate)}}</span>
        </div>
      </div>
      <div class="actions-secondary">
        <div class="actions">
          <div>
            <span>Volume</span>
            <span id="mute_btn" (click)="setMute()" class="clickable">
          <mat-icon class="volume_off" *ngIf="muted">volume_off</mat-icon>
          <mat-icon class="volume_up" *ngIf="!muted">volume_up</mat-icon>
        </span>
            <mat-slider min="0" max="1" step="0.1" value="{{volume}}" (change)="setVolume($event)"></mat-slider>
          </div>
          <div class="clickable">
            <span>Shuffle</span>
            <mat-icon *ngIf="!shuffle" class="shuffle" (click)="enableShuffle()">shuffle</mat-icon>
            <mat-icon *ngIf="shuffle" class="shuffle" (click)="disableShuffle()">drag_handle</mat-icon>
          </div>
        </div>
      </div>
    </div>
  </mat-card>
  <!-- Mobile -->
  <mat-card *responsive="{
    orientation:['landscape','portrait'],
    device: ['mobile', 'tablet']
  }">
    <div class="song-detail-mobile">
      <img [src]="selectedSong.albumCoverUrl" class="image" alt="Album">
      <div class="other">
        <div>{{selectedSong.title}}</div>
        <div>{{selectedSong.artist}}</div>
      </div>
    </div>
    <div class="actions-primary-mobile">
      <div class="actions">
        <div (click)="previous()" class="clickable">
          <mat-icon class="skip-previous">skip_previous</mat-icon>
        </div>
        <div (click)="paused ? play() : pause()" class="clickable play-icons">
          <mat-icon *ngIf="paused" class="play-icon">play_circle_outline</mat-icon>
          <mat-icon *ngIf="!paused" class="pause-icon">pause_circle_outline</mat-icon>
        </div>
        <div (click)="next()" class="clickable">
          <mat-icon class="skip-next">skip_next</mat-icon>
        </div>
      </div>
    </div>
    <div class="actions-secondary-mobile">
      <div class="duration">
        <span>{{getTime(currentTimeDate)}}</span>
        <mat-slider min="0" max="{{durationTimeDateInSeconds}}" tickInterval="0.1" [value]="currentTimeDateInSeconds"
                    (change)="setSongPosition($event)"></mat-slider>
        <span>{{getTime(durationTimeDate)}}</span>
      </div>
    </div>
    <div class="actions-third-mobile">
      <div class="actions">
        <span *hideItStandard="['iphone','ipad']">Volume</span>
        <mat-slider *hideItStandard="['iphone','ipad']" min="0" max="1" step="0.1" value="{{volume}}" (change)="setVolume($event)"></mat-slider>
        <span (click)="setMute()" class="clickable">
          <mat-icon *ngIf="muted">volume_off</mat-icon>
          <mat-icon *ngIf="!muted">volume_up</mat-icon>
        </span>
        <span class="clickable" *hideItStandard="['iphone','ipad']">
          <mat-icon *ngIf="!shuffle" class="shuffle" (click)="enableShuffle()">shuffle</mat-icon>
          <mat-icon *ngIf="shuffle" class="shuffle" (click)="disableShuffle()">drag_handle</mat-icon>
        </span>
      </div>
    </div>
  </mat-card>

  <div *ngIf="dataSource" class="body">
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef> TITLE</th>
        <td mat-cell *matCellDef="let element"> {{element.title}} </td>
      </ng-container>

      <ng-container matColumnDef="artist">
        <th mat-header-cell *matHeaderCellDef> ARTIST</th>
        <td mat-cell *matCellDef="let element"> {{element.artist}} </td>
      </ng-container>

      <ng-container matColumnDef="album">
        <th mat-header-cell *matHeaderCellDef> ALBUM</th>
        <td mat-cell *matCellDef="let element"> {{element.album}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row class="clickable" *matRowDef="let row; columns: displayedColumns;" (click)="setSong(row)"></tr>
    </table>
  </div>
</div>

